TAKK Tasks
Upload a TAKK task
Create a new TAKK upload task for climate fee statements.
Allowed Roles:
admin, takk-uploader
POST
/
takk
/
task
Upload a TAKK task
curl --request POST \
--url https://str.keroshospitality.com/api/v1/takk/task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"draftUpload": true,
"month": 1,
"taxisUsername": "keros",
"taxisPassword": "password",
"takkRecords": [
{
"daysUsed": 10,
"freeDays": 2,
"numberOfBeds": 2,
"numberOfCompanies": 1,
"numberOfRooms": 4,
"numberOfTaxedRooms": 3
}
]
}
'import requests
url = "https://str.keroshospitality.com/api/v1/takk/task"
payload = {
"draftUpload": True,
"month": 1,
"taxisUsername": "keros",
"taxisPassword": "password",
"takkRecords": [
{
"daysUsed": 10,
"freeDays": 2,
"numberOfBeds": 2,
"numberOfCompanies": 1,
"numberOfRooms": 4,
"numberOfTaxedRooms": 3
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
draftUpload: true,
month: 1,
taxisUsername: 'keros',
taxisPassword: 'password',
takkRecords: [
{
daysUsed: 10,
freeDays: 2,
numberOfBeds: 2,
numberOfCompanies: 1,
numberOfRooms: 4,
numberOfTaxedRooms: 3
}
]
})
};
fetch('https://str.keroshospitality.com/api/v1/takk/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": 123,
"requestId": "a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890",
"createdAt": "2022-01-01T00:00:00Z"
}{
"errorMessage": "<string>",
"requestId": "<string>"
}Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/json
⌘I
Upload a TAKK task
